Uploaded image for project: 'Solr'
  1. Solr
  2. SOLR-16141

Upgrade Apache Tika to 1.28.4

Log workAgile BoardRank to TopRank to BottomAttach filesAttach ScreenshotBulk Copy AttachmentsBulk Move AttachmentsVotersWatch issueWatchersCreate sub-taskConvert to sub-taskLinkCloneLabelsUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    Description

      org.apache.solr:solr-cell module uses Apache POI. Apache POI version 5.2.1 includes several bug fixes, including a resolution for CVE-2022-26336, which impacts poi-scratchpad.

      By upgrading Tika from 1.28.1 to 1.28.4, we'll get POI 5.2.2

      Attachments

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            janhoy Jan H√łydahl Assign to me
            ivan.viaznikov Ivan Viaznikov
            Votes:
            0 Vote for this issue
            Watchers:
            7 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Time Tracking

              Estimated:
              Original Estimate - Not Specified
              Not Specified
              Remaining:
              Remaining Estimate - 0h
              0h
              Logged:
              Time Spent - 1h
              1h

              Slack

                Issue deployment